{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":521,"path":"api-reference/rest-apis/lead-api.md","title":"lead API","bundle":null,"doc_type":null,"release":"australia","body":"\n# lead API\n\nThe lead API provides endpoints that enable you to create, update, and query/retrieve marketing leads and their associated lead line items from an instance.\n\nUse this API to integrate your instance with external websites and systems such as automated lead capture systems, or to provide lead information to external reporting systems.\n\nThis API is provided within the `sn_lead_mgmt_core` namespace. To access the API, the Lead Management Data Model \\(sn\\_lead\\_mgmt\\_core\\) plugin must be activated on the instance, and the calling user must have the sn\\_lead\\_mgmt\\_core.lead\\_integrator role.\n\nFor additional information on Lead Management, see [Using Lead Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/lead-management-using.md).\n\n## Extending the Lead API\n\nYou can extend the lead API by overriding the methods in its associated script includes. The default API functionality is located in script includes ending in \"OOB\", such as LeadAPIProcessUtilOOB. To override this functionality, create methods with identical names and parameters in the script include that has the same file name, but doesn't end in \"OOB\", such as LeadAPIProcessUtil.\n\nThe following is a list of the script includes that you can override to change the behavior of the lead API:\n\n-   [LeadAPIProcessUtilOOB](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/server-api-reference/LeadAPIProcessUtilOOBAPI.md): Contains methods that handle the retrieval and creation of lead and lead line item records.\n-   [LeadApiValidationUtilOOB](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/server-api-reference/LeadAPIValidationUtilOOBAPI.md): Contains methods that validate the JSON request object for the POST and PATCH endpoints.\n-   [LeadAPIHelperOOB](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/server-api-reference/LeadAPIHelperOOBAPI.md): Contains API helper methods that:\n    -   Return an array of leads and related lead line items.\n    -   Return a JSON object from the associated GlideRecord.\n    -   Remove all ignored fields from a JSON object and perform other transformations.\n-   LeadAPIConstantsOOB: Contains constants, status codes, and messages for all API operations. It also includes the list of fields that are ignored by the POST and PATCH endpoints.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## lead - GET /sn\\_lead\\_mgmt\\_core/lead\n\nRetrieves all leads and associated lead line items based on the filter criteria passed in the query parameters.\n\nThis endpoint returns a paginated response as per the specified limit and offset. It retrieves information from the following tables:\n\n-   Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n-   Lead Line Item \\[sn\\_lead\\_mgmt\\_core\\_lead\\_line\\_item\\]\n\n### URL format\n\nVersioned URL: `/api/sn_lead_mgmt_core/{api_version}/lead`\n\nDefault URL: `/api/sn_lead_mgmt_core/{api_version}/lead`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_fields\n\n</td><td id=\"sysparm_fields_entry-RESTAPI\">\n\nComma-separated list of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: Return all fields.\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr id=\"row_sysparm_offset\"><td>\n\nsysparm\\_offset\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_query\n\n</td><td>\n\nEncoded query used to filter the result set.For example:\n\n`(sysparm_query=caller_id=javascript:gs.getUserID()^active=true)`\n\nThe encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in **sysparm\\_query**. For example, `sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory` filters all active records and orders the results in ascending order by number first, and then in descending order by category.\n\nIf part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property **glide.invalid\\_query.returns\\_no\\_rows**. Set this property to true to return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n<table class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-JSON-only-entry-RESTAPI\">\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if offset=2 and limit=3, the value of the Content-Range header is items 3-5.\n\n</td></tr><tr><td>\n\nLinks\n\n</td><td>\n\nLinks through which to navigate the query results: -   first\n-   last\n-   next\n-   previous\n-   self\n\n</td></tr><tr><td>\n\nTotal-Count\n\n</td><td>\n\nTotal number of filtered records.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nRequest was successfully processed. All responses returned \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td>\n\nRequest successfully processed. Partial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nError. Possible reasons:-   Invalid limit/limit greater than maximum allowed.\n-   Invalid offset.\n\n</td></tr><tr><td>\n\n403\n\n</td><td>\n\nRecord denied access. Insufficient permission to query the record.\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"entry-404-status-code\">\n\nNot found. The requested item wasn't found.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request.\n\n</td></tr></tbody>\n</table>### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td id=\"lead-account-entry\">\n\nAccount linked to the lead.Data type: Object\n\n```\n\"account\": { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\naccount.name\n\n</td><td id=\"lead-account.name-entry\">\n\nName of the account.Data type: String\n\n</td></tr><tr><td>\n\naccount.sys\\_id\n\n</td><td id=\"lead-account.sys_id-entry\">\n\nSys\\_id of the associated account record.\n\nData type: String\n\n Table: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nbusiness\\_phone\n\n</td><td id=\"lead-business_phone-entry\">\n\nLead's business phone number.Data type: String\n\n</td></tr><tr><td>\n\ncity\n\n</td><td id=\"lead-city-entry\">\n\nCity in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nclosed\\_date\n\n</td><td id=\"lead-closed_date-entry\">\n\nDate and time when the lead was closed.Data type: Object\n\n```\n\"closed_date\": {\n  \"display_value\": \"String\", \n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nclosed\\_date.​display\\_value\n\n</td><td id=\"lead-closed_date.display_value-entry\">\n\nDate and time as displayed in the UI. Data type: String\n\nFormat: User's format and time zone.\n\n</td></tr><tr><td>\n\nclosed\\_date.value\n\n</td><td id=\"lead-closed_date.value-entry\">\n\nDate and time that the lead closed as defined in the associated record.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"lead-company-entry\">\n\nLead's company name.Data type: String\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td id=\"lead-consumer-entry\">\n\nConsumer associated with the lead.Data type: Object\n\n```\n\"consumer\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nconsumer.name\n\n</td><td id=\"lead-consumer.name-entry\">\n\nName of the associated consumer.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.sys\\_id\n\n</td><td id=\"lead-consumer.sys_id-entry\">\n\nSys\\_id of the associated consumer record.\n\nData type: String\n\n Table: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td id=\"lead-contact-entry\">\n\nContact associated with the lead account.Data type: Object\n\n```\n\"contact\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\" \n} \n```\n\n</td></tr><tr><td>\n\ncontact.name\n\n</td><td id=\"lead-contact.name-entry\">\n\nContact's name.Data type: String\n\n</td></tr><tr><td>\n\ncontact.sys\\_id\n\n</td><td id=\"lead-contact.sys_id-entry\">\n\nSys\\_id of the associated contact record.\n\nData type: String\n\n Table: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncountry\n\n</td><td id=\"lead-country-entry\">\n\nCountry in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\ndo\\_not\\_call\n\n</td><td id=\"lead-do_not_call-entry\">\n\nFlag that indicates whether the mode of communication is by phone.\n\nValid values:\n\n-   true: Can call contact.\n-   false: Don't call contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_email\n\n</td><td id=\"lead-do_not_email-entry\">\n\nFlag that indicates whether the mode of communication is by email.\n\nValid values:\n\n-   true: Can email contact.\n-   false: Don't email contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_share\n\n</td><td id=\"lead-do_not_share-entry\">\n\nFlag that indicates whether the lead details can be shared.\n\nValid values:\n\n-   true: Lead details can be shared.\n-   false: Lead details can't be shared.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nemail\n\n</td><td id=\"lead-email-entry\">\n\nLead's email address.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_id\n\n</td><td id=\"lead-external_id-entry\">\n\nID used by the system that generated the lead to identify the lead in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_system\n\n</td><td id=\"lead-external_system-entry\">\n\nName of the external system associated with the lead, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nfirst\\_name\n\n</td><td id=\"lead-first_name-entry\">\n\nFirst name of the contact associated with the lead.Data type: String\n\n</td></tr><tr><td>\n\nindustry\n\n</td><td id=\"lead-industry-entry\">\n\nIndustry to which the lead belongs.Data type: String\n\nTable: Located in the **industry** field of the Account \\[customer\\_account\\] table.\n\n</td></tr><tr><td>\n\nlast\\_name\n\n</td><td id=\"lead-last_name-entry\">\n\nLast name of the contact associated with the lead.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_group\n\n</td><td id=\"lead-lead_group-entry\">\n\nGroup to which the lead belongs.\n\nData type: Object\n\n ```\n\"lead_group\": {\n  \"name: \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_group.name\n\n</td><td id=\"lead-lead_group.name-entry\">\n\nLead group's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_group.sys\\_id\n\n</td><td id=\"lead-lead_group.sys_id-entry\">\n\nSys\\_id of the lead group record.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items\n\n</td><td id=\"lead-lead_line_items-entry\">\n\nDetails of the lead line items associated with the lead.Data type: Array of Objects\n\n```\n\"lead_line_items\": [ \n  { \n    \"external_id\": \"String\", \n    \"external_system\": \"String\",\n    \"lead\": {Object},\n    \"number\": \"String\",\n    \"product_offering\": {Object},\n    \"quantity\": Number,\n    \"sys_created_by”: \"String\",\n    \"sys_created_on {Object},\n    \"sys_domain\": \"String\",\n    \"sys_domain_path\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_mod_count\": Number,\n    \"sys_tags\": [Array],\n    \"sys_updated_by: \"String\",\n    \"sys_updated_on: {Object},\n    \"unit_of_measurement\": {Object}, \n    \"work_notes\": [Array]\n  } \n] \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_id\n\n</td><td id=\"lead-lead_line_items.external_id-entry\">\n\nID used by the system that generated the lead line item to identify the line item in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_system\n\n</td><td id=\"lead-lead_line_items.external_system-entry\">\n\nName of the external system associated with the lead line item, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead\n\n</td><td id=\"lead-lead_line_items.lead-entry\">\n\nDetails about the lead associated with the line item.Data type: Object\n\n```\n\"lead: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead.name\n\n</td><td id=\"lead-lead_line_items.lead.name-entry\">\n\nAssociated lead's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead.sys\\_id\n\n</td><td id=\"lead-lead_line_items.lead.sys_id-entry\">\n\nSys\\_id of the associated lead record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​number\n\n</td><td id=\"lead-lead_line_items.number-entry\">\n\nUnique system-generated number of the lead line item record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering\n\n</td><td id=\"lead-lead_line_items.product_offering-entry\">\n\nInformation about the product offering associated with the lead line item.Data type: Object\n\n```\n\"product_offering\": {\n  \"code\": \" String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.code\n\n</td><td id=\"lead-lead_line_items.product_offering.code-entry\">\n\nCode linked to the product offering. **Note:** This is a system-generated alphanumeric number based on the product name. Although system generated, you can edit the code to represent a SKU or any other industry specific product codes.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.name\n\n</td><td id=\"lead-lead_line_items.product_offering.name-entry\">\n\nProduct offering's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.sys\\_id\n\n</td><td id=\"lead-lead_line_items.product_offering.sys_id-entry\">\n\nSys\\_id of the product offering record associated with the lead line item.\n\nData type: String\n\n Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​quantity\n\n</td><td id=\"lead-lead_line_items.quantity-entry\">\n\nQuantity of items the lead wants to purchase of the associated product offering.\n\nData type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_by\n\n</td><td id=\"lead-lead_line_items.sys_created_by-entry\">\n\nUser name of the person that created the lead line item.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on\n\n</td><td id=\"lead-lead_line_items.sys_created_on-entry\">\n\nSystem-generated date and time that the lead line item was created.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on.display\\_value\n\n</td><td id=\"lead-lead_line_items.sys_created_on.display_value-entry\">\n\nDate and time that the lead line item was created.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on.value\n\n</td><td id=\"lead-lead_line_items.sys_created_on.value-entry\">\n\nDate and time that the lead line item was created.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_domain\n\n</td><td id=\"lead-lead_line_items.sys_domain-entry\">\n\nSys\\_id of the domain record to which the lead line item belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.sys\\_domain\\_path\n\n</td><td id=\"lead-lead_line_items.sys_domain_path-entry\">\n\nPath of the domain to which the lead line item belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_id\n\n</td><td id=\"lead-lead_line_items.sys_id-entry\">\n\nSys\\_id of the lead line item record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_mod\\_count\n\n</td><td id=\"lead-lead_line_items.sys_mod_count-entry\">\n\nNumber of times the associated lead line item record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_tags\n\n</td><td id=\"lead-lead_line_items.sys_tags-entry\">\n\nList of system tags associated with the lead line item.Data type: Array\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_by\n\n</td><td id=\"lead-lead_line_items.sys_updated_by-entry\">\n\nUser name of the person that last updated the associated lead line item.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on\n\n</td><td id=\"lead-lead_line_items.sys_updated_on-entry\">\n\nSystem-generated date and time when the lead line item was last updated.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on.​display\\_value\n\n</td><td id=\"lead-lead_line_items.sys_updated_on.display_value-entry\">\n\nDate and time that the lead line item was last updated.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on.​value\n\n</td><td id=\"lead-lead_line_items.sys_updated_on.value-entry\">\n\nDate and time that the lead line item was last updated.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement-entry\">\n\nDetails of the measuring unit of lead line item.\n\nData type: Object\n\n ```\n\"unit_of_measurement\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement.​name\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement.name-entry\">\n\nName of the measuring unit such as, each or cubic foot.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement.​sys\\_id\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement.sys_id-entry\">\n\nSys\\_id of the record that describes the measuring unit.Data type: String\n\nTable: Unit of Measure \\[sn\\_prd\\_pm\\_uom\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes\n\n</td><td id=\"lead-lead_line_items.work_notes-entry\">\n\nList that describes the work notes created for the lead line item.\n\nData type: Array of Objects\n\n ```\n\"work_notes\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​author\n\n</td><td id=\"lead-lead_line_items.work_notes.author-entry\">\n\nUser name of the person that authored the associated work note.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​date\n\n</td><td id=\"lead-lead_line_items.work_notes.date-entry\">\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​text\n\n</td><td id=\"lead-lead_line_items.work_notes.text-entry\">\n\nText of the note made by the author.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_rating\n\n</td><td id=\"lead-lead_rating-entry\">\n\nRating for the lead such as, 100\\_cold, 200\\_warm, 300\\_hot, or 400\\_super\\_hot.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_rating field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_score\n\n</td><td id=\"lead-lead_score-entry\">\n\nScore for the lead.Data type: Decimal\n\nRange: 1 to 100\n\n</td></tr><tr><td>\n\nlead\\_source\n\n</td><td id=\"lead-lead_source-entry\">\n\nOriginator of the lead.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_source field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_type\n\n</td><td id=\"lead-lead_type-entry\">\n\nType of lead, such as New Business or Existing Business.\n\n **Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_type field of the Leads table.\n\n Data type: String\n\n</td></tr><tr><td>\n\nmiddle\\_name\n\n</td><td id=\"lead-middle_name-entry\">\n\nMiddle name of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nmobile\\_phone\n\n</td><td id=\"lead-mobile_phone-entry\">\n\nPhone number of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td id=\"lead-number-entry\">\n\nUnique system-generated number of the lead record.Data type: String\n\n</td></tr><tr><td>\n\nother\\_reason\n\n</td><td id=\"lead-other_reason-entry\">\n\nAdditional reason for the lead disqualification.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nowner\n\n</td><td id=\"lead-owner-entry\">\n\nDetails of the person associated with the lead.\n\nData type: Object\n\n ```\n\"owner\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nowner.name\n\n</td><td id=\"lead-owner.name-entry\">\n\nName of the person that owns the lead.Data type: String\n\n</td></tr><tr><td>\n\nowner.sys\\_id\n\n</td><td id=\"lead-owner.sys_id-entry\">\n\nSys\\_id of the user record of the person that owns the lead.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nreason\n\n</td><td id=\"lead-reason-entry\">\n\nReason for the lead disqualification such as, Disqualify.Data type: String\n\nMax length: 40 characters\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td id=\"lead-short_description-entry\">\n\nShort description of the lead.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nsimilar\\_lead\n\n</td><td id=\"lead-similar_lead-entry\">\n\nDetails on any similar lead. Use this for possible lead disqualification.\n\nData type: Object\n\n ```\n\"similar_lead\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsimilar\\_lead.name\n\n</td><td id=\"lead-similar_lead.name-entry\">\n\nName of the duplicate lead.Data type: String\n\n</td></tr><tr><td>\n\nsimilar\\_lead.sys\\_id\n\n</td><td id=\"lead-similar_lead.sys_id-entry\">\n\nSys\\_id of the lead record that is a possible duplicate lead.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr><tr><td>\n\nstage\n\n</td><td id=\"lead-stage-entry\">\n\nStage of the lead such as, 100\\_new.\n\n**Note:** This is a choice field. It must contain one of the choice items defined in the stage field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"lead-state-entry\">\n\nState in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nstreet\n\n</td><td id=\"lead-street-entry\">\n\nStreet on which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td id=\"lead-sys_class_name-entry\">\n\nSystem-generated class name of the Lead table.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td id=\"lead-sys_created_by-entry\">\n\nUser name of the person that created the lead.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td id=\"lead-sys_created_on-entry\">\n\nSystem-generated date and time that the lead was created.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.​display\\_value\n\n</td><td id=\"lead-sys_created_on.display_value-entry\">\n\nDate and time when the lead was created.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.​value\n\n</td><td id=\"lead-sys_created_on.value-entry\">\n\nDate and time when the lead was created.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nsys\\_domain\n\n</td><td id=\"lead-sys_domain-entry\">\n\nSys\\_id of the domain record to which the lead belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\\_path\n\n</td><td id=\"lead-sys_domain_path-entry\">\n\nPath of the domain to which the lead belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"lead-sys_id-entry\">\n\nSys\\_id of the lead record.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr><tr><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"lead-sys_mod_count-entry\">\n\nNumber of times the associated lead record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nsys\\_tags\n\n</td><td id=\"lead-sys_tags-entry\">\n\nList of system tags associated with the lead. You can use these tags to categorize leads.Data type: Array\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"lead-sys_updated_by-entry\">\n\nUser name of the person that last updated the lead record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><td id=\"lead-sys_updated_on-entry\">\n\nSystem-generated date and time when the lead was last updated.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.​display\\_value\n\n</td><td id=\"lead-sys_updated_on.display_value-entry\">\n\nDate and time that the lead was last updated.Data type: String\n\nFormat: Instance's default format and time zone\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.​value\n\n</td><td id=\"lead-sys_updated_on.value-entry\">\n\nDate and time that the lead was last updated.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td id=\"lead-title-entry\">\n\nLead's title.Data type: String\n\n</td></tr><tr><td>\n\nwebsite\n\n</td><td id=\"lead-website-entry\">\n\nLead's website URL.Data type: String\n\n</td></tr><tr><td>\n\nwork\\_notes\n\n</td><td id=\"lead-work_notes-entry\">\n\nList of work notes created for the lead.\n\nData type: Array of Objects\n\n ```\n\"work_notes\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nwork\\_notes.​author\n\n</td><td id=\"lead-work_notes.author-entry\">\n\nUser name of the person that authored the associated work note.Data type: String\n\n</td></tr><tr><td>\n\nwork\\_notes.​date\n\n</td><td id=\"lead-work_notes.date-entry\">\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nwork\\_notes.​text\n\n</td><td id=\"lead-work_notes.text-entry\">\n\nText of the note made by the author.Data type: String\n\n</td></tr><tr><td>\n\nzip\n\n</td><td id=\"lead-zip-entry\">\n\nZip code of the associated lead.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to pass query parameters to specify the leads to return.\n\n```\ncurl \"https://instance.service-now.com/api/sn_lead_mgmt_core/lead?sysparm_query=stage%3D400_closed_won&sysparm_fields=sys_id%2Cfirst_name%2Clast_name%2Cshort_description%2Cstage%2Clead_line_items&sysparm_offset=2\" \\ \n--request GET \\ \n--header \"Accept:application/json\" \\ \n--user \"username\":\"password\"\n```\n\nLeads are return in an array of objects:\n\n```\n[\n  {\n    \"short_description\": \"Looking for a quote on preventative maintenance plans for their corporate office building elevators.\",\n    \"reason\": null,\n    \"country\": \"USA\",\n    \"closed_date\": null,\n    \"city\": \"San Francisco\",\n    \"lead_source\": \"inbound_phone\",\n    \"external_id\": null,\n    \"industry\": \"manufacturing\",\n    \"sys_updated_on\": {\n      \"value\": \"2024-05-31 11:01:55\",\n      \"display_value\": \"2024-05-31 04:01:55\"\n    },\n    \"title\": \"Director of Building operations\",\n    \"sys_class_name\": \"Lead\",\n    \"number\": \"LEAD0000001\",\n    \"sys_id\": \"856b6a95ffde8210b85dffffffffffd7\",\n    \"business_phone\": \"+1 (555) 123-4567\",\n    \"similar_lead\": null,\n    \"sys_updated_by\": \"admin\",\n    \"mobile_phone\": null,\n    \"street\": \"789, Industrial drive\",\n    \"sys_created_on\": {\n      \"value\": \"2024-05-20 10:32:41\",\n      \"display_value\": \"2024-05-20 03:32:41\"\n    },\n    \"contact\": null,\n    \"company\": \"Lee Manufacturing Inc\",\n    \"state\": \"CA\",\n    \"first_name\": \"James\",\n    \"email\": \"james.wilson@email.com\",\n    \"consumer\": null,\n    \"sys_created_by\": \"admin\",\n    \"zip\": \"94016\",\n    \"owner\": {\n      \"sys_id\": \"60058fe943fe3110d6c6cd60afb8f203\",\n      \"name\": \"Max Blaze\"\n    },\n    \"website\": null,\n    \"lead_group\": null,\n    \"sys_mod_count\": 1,\n    \"last_name\": \"Wilson\",\n    \"other_reason\": null,\n    \"middle_name\": null,\n    \"sys_tags\": null,\n    \"do_not_share\": false,\n    \"lead_score\": 92,\n    \"stage\": \"300_nurturing\",\n    \"do_not_email\": false,\n    \"lead_type\": null,\n    \"work_notes\": [\n      {\n        \"author\": \"Abel Tuter\",\n        \"date\": \"2024-12-04 06:52:07\",\n        \"text\": \"Work notes for lead\"\n      }\n    ],\n    \"do_not_call\": false,\n    \"lead_rating\": \"400_super_hot\",\n    \"account\": null,\n    \"external_system\": null,\n    \"lead_line_items\": [\n      {\n        \"quantity\": 6,\n        \"product_offering\": {\n          \"sys_id\": \"32619d9fd0a63110f8770dbf976be1f9\",\n          \"name\": \"Safety Test Coverage\",\n          \"code\": \"SAFETSTCVG1\"\n        },\n        \"sys_mod_count\": 0,\n        \"external_id\": null,\n        \"sys_updated_on\": {\n          \"value\": \"2024-05-20 10:38:41\",\n          \"display_value\": \"2024-05-20 03:38:41\"\n        },\n        \"sys_tags\": null,\n        \"lead\": {\n          \"sys_id\": \"856b6a95ffde8210b85dffffffffffd7\",\n          \"name\": \"LEAD0000001\"\n        },\n        \"number\": \"LEADL0000003\",\n        \"sys_id\": \"013daa19ffde8210b85dffffffffff82\",\n        \"unit_of_measurement\": {\n          \"sys_id\": \"cb2795d553020110286eddeeff7b12ff\",\n          \"name\": \"Each\"\n        },\n        \"sys_updated_by\": \"admin\",\n        \"sys_created_on\": {\n          \"value\": \"2024-05-20 10:38:41\",\n          \"display_value\": \"2024-05-20 03:38:41\"\n        },\n        \"work_notes\": null,\n        \"sys_created_by\": \"admin\",\n        \"external_system\": null\n      }\n    ]\n  },\n  {\n    \"short_description\": \"Partner referral for a company interested in a reliable internet bundle with strong security features for their office.\",\n    \"reason\": null,\n    \"country\": \"USA\",\n    \"closed_date\": null,\n    \"city\": \"San Francisco\",\n    \"lead_source\": \"partner_referral\",\n    \"external_id\": null,\n    \"industry\": \"technology_services\",\n    \"sys_updated_on\": {\n      \"value\": \"2024-05-20 10:53:59\",\n      \"display_value\": \"2024-05-20 03:53:59\"\n    },\n    \"title\": \"IT Director\",\n    \"sys_class_name\": \"Lead\",\n    \"number\": \"LEAD0000002\",\n    \"sys_id\": \"e71fa6d9ffde8210b85dffffffffff51\",\n    \"business_phone\": \"(626) 722-6969\",\n    \"similar_lead\": null,\n    \"sys_updated_by\": \"admin\",\n    \"mobile_phone\": null,\n    \"street\": \"747 Howard St\",\n    \"sys_created_on\": {\n      \"value\": \"2024-05-20 10:49:12\",\n      \"display_value\": \"2024-05-20 03:49:12\"\n    },\n    \"contact\": {\n      \"sys_id\": \"4d147a386f0331003b3c498f5d3ee437\",\n      \"name\": \"\"\n    },\n    \"company\": \"Boxeo\",\n    \"state\": \"CA\",\n    \"first_name\": \"Julie\",\n    \"email\": \"julie.lewis@example.com\",\n    \"consumer\": null,\n    \"sys_created_by\": \"admin\",\n    \"zip\": \"94013\",\n    \"owner\": {\n      \"sys_id\": \"60058fe943fe3110d6c6cd60afb8f203\",\n      \"name\": \"Max Blaze\"\n    },\n    \"website\": null,\n    \"lead_group\": null,\n    \"sys_mod_count\": 0,\n    \"last_name\": \"Lewis\",\n    \"other_reason\": null,\n    \"middle_name\": null,\n    \"sys_tags\": null,\n    \"do_not_share\": false,\n    \"lead_score\": 78,\n    \"stage\": \"400_closed_won\",\n    \"do_not_email\": false,\n    \"lead_type\": null,\n    \"work_notes\": [\n      {\n        \"author\": \"Abel Tuter\",\n        \"date\": \"2024-12-03 03:52:51\",\n        \"text\": \"Work noted for LEAD0000002\"\n      }\n    ],\n    \"do_not_call\": false,\n    \"lead_rating\": \"200_warm\",\n    \"account\": {\n      \"sys_id\": \"86837a386f0331003b3c498f5d3ee4ca\",\n      \"name\": \"\"\n    },\n    \"external_system\": null,\n    \"lead_line_items\": [\n      {\n        \"quantity\": 50,\n        \"product_offering\": {\n          \"sys_id\": \"0b61dd9fd0a63110f8770dbf976be171\",\n          \"name\": \"Solana Modem M Series\",\n          \"code\": \"SOLANAMODE2\"\n        },\n        \"sys_mod_count\": 0,\n        \"external_id\": null,\n        \"sys_updated_on\": { \n          \"value\": \"2024-05-20 10:51:57\",\n          \"display_value\": \"2024-05-20 03:51:57\"\n        },\n        \"sys_tags\": null,\n        \"lead\": {\n          \"sys_id\": \"e71fa6d9ffde8210b85dffffffffff51\",\n          \"name\": \"LEAD0000002\"\n        },\n        \"number\": \"LEADL0000009\",\n        \"sys_id\": \"2130fa1dffde8210b85dffffffffffff\",\n        \"unit_of_measurement\": {\n          \"sys_id\": \"cb2795d553020110286eddeeff7b12ff\",\n          \"name\": \"Each\"\n        },\n        \"sys_updated_by\": \"admin\",\n        \"sys_created_on\": { \n          \"value\": \"2024-05-20 10:51:25\", \n          \"display_value\": \"2024-05-20 03:51:25\"\n        },\n        \"work_notes\": null,\n        \"sys_created_by\": \"admin\",\n        \"external_system\": null\n      } \n    ]\n  }\n] \n```\n\n## lead - GET /sn\\_lead\\_mgmt\\_core/lead/\\{sys\\_id\\}\n\nReturns the lead record and all associated lead line items for the specified sys\\_id.\n\nThis endpoint retrieves information from the following tables:\n\n-   Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n-   Lead Line Item \\[sn\\_lead\\_mgmt\\_core\\_lead\\_line\\_item\\]\n\n### URL format\n\nVersioned URL: `/api/sn_lead_mgmt_core/{api_version}/lead/{sys_id}`\n\nDefault URL: `/api/sn_lead_mgmt_core/{api_version}/lead/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the lead to retrieve.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|403|Forbidden. The user doesn't have access rights to the specified record.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table id=\"table_h4v_1hp_sdc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td id=\"lead-account-entry\">\n\nAccount linked to the lead.Data type: Object\n\n```\n\"account\": { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\naccount.name\n\n</td><td id=\"lead-account.name-entry\">\n\nName of the account.Data type: String\n\n</td></tr><tr><td>\n\naccount.sys\\_id\n\n</td><td id=\"lead-account.sys_id-entry\">\n\nSys\\_id of the associated account record.\n\nData type: String\n\n Table: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nbusiness\\_phone\n\n</td><td id=\"lead-business_phone-entry\">\n\nLead's business phone number.Data type: String\n\n</td></tr><tr><td>\n\ncity\n\n</td><td id=\"lead-city-entry\">\n\nCity in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nclosed\\_date\n\n</td><td id=\"lead-closed_date-entry\">\n\nDate and time when the lead was closed.Data type: Object\n\n```\n\"closed_date\": {\n  \"display_value\": \"String\", \n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nclosed\\_date.​display\\_value\n\n</td><td id=\"lead-closed_date.display_value-entry\">\n\nDate and time as displayed in the UI. Data type: String\n\nFormat: User's format and time zone.\n\n</td></tr><tr><td>\n\nclosed\\_date.value\n\n</td><td id=\"lead-closed_date.value-entry\">\n\nDate and time that the lead closed as defined in the associated record.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"lead-company-entry\">\n\nLead's company name.Data type: String\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td id=\"lead-consumer-entry\">\n\nConsumer associated with the lead.Data type: Object\n\n```\n\"consumer\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nconsumer.name\n\n</td><td id=\"lead-consumer.name-entry\">\n\nName of the associated consumer.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.sys\\_id\n\n</td><td id=\"lead-consumer.sys_id-entry\">\n\nSys\\_id of the associated consumer record.\n\nData type: String\n\n Table: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td id=\"lead-contact-entry\">\n\nContact associated with the lead account.Data type: Object\n\n```\n\"contact\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\" \n} \n```\n\n</td></tr><tr><td>\n\ncontact.name\n\n</td><td id=\"lead-contact.name-entry\">\n\nContact's name.Data type: String\n\n</td></tr><tr><td>\n\ncontact.sys\\_id\n\n</td><td id=\"lead-contact.sys_id-entry\">\n\nSys\\_id of the associated contact record.\n\nData type: String\n\n Table: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncountry\n\n</td><td id=\"lead-country-entry\">\n\nCountry in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\ndo\\_not\\_call\n\n</td><td id=\"lead-do_not_call-entry\">\n\nFlag that indicates whether the mode of communication is by phone.\n\nValid values:\n\n-   true: Can call contact.\n-   false: Don't call contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_email\n\n</td><td id=\"lead-do_not_email-entry\">\n\nFlag that indicates whether the mode of communication is by email.\n\nValid values:\n\n-   true: Can email contact.\n-   false: Don't email contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_share\n\n</td><td id=\"lead-do_not_share-entry\">\n\nFlag that indicates whether the lead details can be shared.\n\nValid values:\n\n-   true: Lead details can be shared.\n-   false: Lead details can't be shared.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nemail\n\n</td><td id=\"lead-email-entry\">\n\nLead's email address.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_id\n\n</td><td id=\"lead-external_id-entry\">\n\nID used by the system that generated the lead to identify the lead in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_system\n\n</td><td id=\"lead-external_system-entry\">\n\nName of the external system associated with the lead, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nfirst\\_name\n\n</td><td id=\"lead-first_name-entry\">\n\nFirst name of the contact associated with the lead.Data type: String\n\n</td></tr><tr><td>\n\nindustry\n\n</td><td id=\"lead-industry-entry\">\n\nIndustry to which the lead belongs.Data type: String\n\nTable: Located in the **industry** field of the Account \\[customer\\_account\\] table.\n\n</td></tr><tr><td>\n\nlast\\_name\n\n</td><td id=\"lead-last_name-entry\">\n\nLast name of the contact associated with the lead.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_group\n\n</td><td id=\"lead-lead_group-entry\">\n\nGroup to which the lead belongs.\n\nData type: Object\n\n ```\n\"lead_group\": {\n  \"name: \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_group.name\n\n</td><td id=\"lead-lead_group.name-entry\">\n\nLead group's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_group.sys\\_id\n\n</td><td id=\"lead-lead_group.sys_id-entry\">\n\nSys\\_id of the lead group record.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items\n\n</td><td id=\"lead-lead_line_items-entry\">\n\nDetails of the lead line items associated with the lead.Data type: Array of Objects\n\n```\n\"lead_line_items\": [ \n  { \n    \"external_id\": \"String\", \n    \"external_system\": \"String\",\n    \"lead\": {Object},\n    \"number\": \"String\",\n    \"product_offering\": {Object},\n    \"quantity\": Number,\n    \"sys_created_by”: \"String\",\n    \"sys_created_on {Object},\n    \"sys_domain\": \"String\",\n    \"sys_domain_path\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_mod_count\": Number,\n    \"sys_tags\": [Array],\n    \"sys_updated_by: \"String\",\n    \"sys_updated_on: {Object},\n    \"unit_of_measurement\": {Object}, \n    \"work_notes\": [Array]\n  } \n] \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_id\n\n</td><td id=\"lead-lead_line_items.external_id-entry\">\n\nID used by the system that generated the lead line item to identify the line item in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_system\n\n</td><td id=\"lead-lead_line_items.external_system-entry\">\n\nName of the external system associated with the lead line item, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead\n\n</td><td id=\"lead-lead_line_items.lead-entry\">\n\nDetails about the lead associated with the line item.Data type: Object\n\n```\n\"lead: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead.name\n\n</td><td id=\"lead-lead_line_items.lead.name-entry\">\n\nAssociated lead's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead.sys\\_id\n\n</td><td id=\"lead-lead_line_items.lead.sys_id-entry\">\n\nSys\\_id of the associated lead record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​number\n\n</td><td id=\"lead-lead_line_items.number-entry\">\n\nUnique system-generated number of the lead line item record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering\n\n</td><td id=\"lead-lead_line_items.product_offering-entry\">\n\nInformation about the product offering associated with the lead line item.Data type: Object\n\n```\n\"product_offering\": {\n  \"code\": \" String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.code\n\n</td><td id=\"lead-lead_line_items.product_offering.code-entry\">\n\nCode linked to the product offering. **Note:** This is a system-generated alphanumeric number based on the product name. Although system generated, you can edit the code to represent a SKU or any other industry specific product codes.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.name\n\n</td><td id=\"lead-lead_line_items.product_offering.name-entry\">\n\nProduct offering's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.sys\\_id\n\n</td><td id=\"lead-lead_line_items.product_offering.sys_id-entry\">\n\nSys\\_id of the product offering record associated with the lead line item.\n\nData type: String\n\n Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​quantity\n\n</td><td id=\"lead-lead_line_items.quantity-entry\">\n\nQuantity of items the lead wants to purchase of the associated product offering.\n\nData type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_by\n\n</td><td id=\"lead-lead_line_items.sys_created_by-entry\">\n\nUser name of the person that created the lead line item.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on\n\n</td><td id=\"lead-lead_line_items.sys_created_on-entry\">\n\nSystem-generated date and time that the lead line item was created.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on.display\\_value\n\n</td><td id=\"lead-lead_line_items.sys_created_on.display_value-entry\">\n\nDate and time that the lead line item was created.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on.value\n\n</td><td id=\"lead-lead_line_items.sys_created_on.value-entry\">\n\nDate and time that the lead line item was created.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_domain\n\n</td><td id=\"lead-lead_line_items.sys_domain-entry\">\n\nSys\\_id of the domain record to which the lead line item belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.sys\\_domain\\_path\n\n</td><td id=\"lead-lead_line_items.sys_domain_path-entry\">\n\nPath of the domain to which the lead line item belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_id\n\n</td><td id=\"lead-lead_line_items.sys_id-entry\">\n\nSys\\_id of the lead line item record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_mod\\_count\n\n</td><td id=\"lead-lead_line_items.sys_mod_count-entry\">\n\nNumber of times the associated lead line item record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_tags\n\n</td><td id=\"lead-lead_line_items.sys_tags-entry\">\n\nList of system tags associated with the lead line item.Data type: Array\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_by\n\n</td><td id=\"lead-lead_line_items.sys_updated_by-entry\">\n\nUser name of the person that last updated the associated lead line item.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on\n\n</td><td id=\"lead-lead_line_items.sys_updated_on-entry\">\n\nSystem-generated date and time when the lead line item was last updated.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on.​display\\_value\n\n</td><td id=\"lead-lead_line_items.sys_updated_on.display_value-entry\">\n\nDate and time that the lead line item was last updated.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on.​value\n\n</td><td id=\"lead-lead_line_items.sys_updated_on.value-entry\">\n\nDate and time that the lead line item was last updated.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement-entry\">\n\nDetails of the measuring unit of lead line item.\n\nData type: Object\n\n ```\n\"unit_of_measurement\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement.​name\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement.name-entry\">\n\nName of the measuring unit such as, each or cubic foot.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement.​sys\\_id\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement.sys_id-entry\">\n\nSys\\_id of the record that describes the measuring unit.Data type: String\n\nTable: Unit of Measure \\[sn\\_prd\\_pm\\_uom\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes\n\n</td><td id=\"lead-lead_line_items.work_notes-entry\">\n\nList that describes the work notes created for the lead line item.\n\nData type: Array of Objects\n\n ```\n\"work_notes\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​author\n\n</td><td id=\"lead-lead_line_items.work_notes.author-entry\">\n\nUser name of the person that authored the associated work note.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​date\n\n</td><td id=\"lead-lead_line_items.work_notes.date-entry\">\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​text\n\n</td><td id=\"lead-lead_line_items.work_notes.text-entry\">\n\nText of the note made by the author.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_rating\n\n</td><td id=\"lead-lead_rating-entry\">\n\nRating for the lead such as, 100\\_cold, 200\\_warm, 300\\_hot, or 400\\_super\\_hot.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_rating field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_score\n\n</td><td id=\"lead-lead_score-entry\">\n\nScore for the lead.Data type: Decimal\n\nRange: 1 to 100\n\n</td></tr><tr><td>\n\nlead\\_source\n\n</td><td id=\"lead-lead_source-entry\">\n\nOriginator of the lead.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_source field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_type\n\n</td><td id=\"lead-lead_type-entry\">\n\nType of lead, such as New Business or Existing Business.\n\n **Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_type field of the Leads table.\n\n Data type: String\n\n</td></tr><tr><td>\n\nmiddle\\_name\n\n</td><td id=\"lead-middle_name-entry\">\n\nMiddle name of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nmobile\\_phone\n\n</td><td id=\"lead-mobile_phone-entry\">\n\nPhone number of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td id=\"lead-number-entry\">\n\nUnique system-generated number of the lead record.Data type: String\n\n</td></tr><tr><td>\n\nother\\_reason\n\n</td><td id=\"lead-other_reason-entry\">\n\nAdditional reason for the lead disqualification.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nowner\n\n</td><td id=\"lead-owner-entry\">\n\nDetails of the person associated with the lead.\n\nData type: Object\n\n ```\n\"owner\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nowner.name\n\n</td><td id=\"lead-owner.name-entry\">\n\nName of the person that owns the lead.Data type: String\n\n</td></tr><tr><td>\n\nowner.sys\\_id\n\n</td><td id=\"lead-owner.sys_id-entry\">\n\nSys\\_id of the user record of the person that owns the lead.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nreason\n\n</td><td id=\"lead-reason-entry\">\n\nReason for the lead disqualification such as, Disqualify.Data type: String\n\nMax length: 40 characters\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td id=\"lead-short_description-entry\">\n\nShort description of the lead.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nsimilar\\_lead\n\n</td><td id=\"lead-similar_lead-entry\">\n\nDetails on any similar lead. Use this for possible lead disqualification.\n\nData type: Object\n\n ```\n\"similar_lead\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsimilar\\_lead.name\n\n</td><td id=\"lead-similar_lead.name-entry\">\n\nName of the duplicate lead.Data type: String\n\n</td></tr><tr><td>\n\nsimilar\\_lead.sys\\_id\n\n</td><td id=\"lead-similar_lead.sys_id-entry\">\n\nSys\\_id of the lead record that is a possible duplicate lead.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr><tr><td>\n\nstage\n\n</td><td id=\"lead-stage-entry\">\n\nStage of the lead such as, 100\\_new.\n\n**Note:** This is a choice field. It must contain one of the choice items defined in the stage field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"lead-state-entry\">\n\nState in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nstreet\n\n</td><td id=\"lead-street-entry\">\n\nStreet on which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td id=\"lead-sys_class_name-entry\">\n\nSystem-generated class name of the Lead table.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td id=\"lead-sys_created_by-entry\">\n\nUser name of the person that created the lead.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td id=\"lead-sys_created_on-entry\">\n\nSystem-generated date and time that the lead was created.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.​display\\_value\n\n</td><td id=\"lead-sys_created_on.display_value-entry\">\n\nDate and time when the lead was created.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.​value\n\n</td><td id=\"lead-sys_created_on.value-entry\">\n\nDate and time when the lead was created.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nsys\\_domain\n\n</td><td id=\"lead-sys_domain-entry\">\n\nSys\\_id of the domain record to which the lead belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\\_path\n\n</td><td id=\"lead-sys_domain_path-entry\">\n\nPath of the domain to which the lead belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"lead-sys_id-entry\">\n\nSys\\_id of the lead record.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr><tr><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"lead-sys_mod_count-entry\">\n\nNumber of times the associated lead record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nsys\\_tags\n\n</td><td id=\"lead-sys_tags-entry\">\n\nList of system tags associated with the lead. You can use these tags to categorize leads.Data type: Array\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"lead-sys_updated_by-entry\">\n\nUser name of the person that last updated the lead record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><td id=\"lead-sys_updated_on-entry\">\n\nSystem-generated date and time when the lead was last updated.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.​display\\_value\n\n</td><td id=\"lead-sys_updated_on.display_value-entry\">\n\nDate and time that the lead was last updated.Data type: String\n\nFormat: Instance's default format and time zone\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.​value\n\n</td><td id=\"lead-sys_updated_on.value-entry\">\n\nDate and time that the lead was last updated.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td id=\"lead-title-entry\">\n\nLead's title.Data type: String\n\n</td></tr><tr><td>\n\nwebsite\n\n</td><td id=\"lead-website-entry\">\n\nLead's website URL.Data type: String\n\n</td></tr><tr><td>\n\nwork\\_notes\n\n</td><td id=\"lead-work_notes-entry\">\n\nList of work notes created for the lead.\n\nData type: Array of Objects\n\n ```\n\"work_notes\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nwork\\_notes.​author\n\n</td><td id=\"lead-work_notes.author-entry\">\n\nUser name of the person that authored the associated work note.Data type: String\n\n</td></tr><tr><td>\n\nwork\\_notes.​date\n\n</td><td id=\"lead-work_notes.date-entry\">\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nwork\\_notes.​text\n\n</td><td id=\"lead-work_notes.text-entry\">\n\nText of the note made by the author.Data type: String\n\n</td></tr><tr><td>\n\nzip\n\n</td><td id=\"lead-zip-entry\">\n\nZip code of the associated lead.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to retrieve the lead record with the sys\\_id of 856b6a95ffde8210b85dffffffffffd7.\n\n```\ncurl \"https://instance.service-now.com /api/sn_lead_mgmt_core/lead/856b6a95ffde8210b85dffffffffffd7\" \\ \n--request GET \\ \n--header \"Accept:application/json\" \\ \n--user \"username\":\"password\" \n```\n\nThe following are the return results:\n\n```\n{ \n  \"short_description\": \"Looking for a quote on preventative maintenance plans for their corporate office building elevators.\",\n  \"reason\": null,\n  \"country\": \"USA\",\n  \"closed_date\": null,\n  \"city\": \"San Francisco\",\n  \"lead_source\": \"inbound_phone\",\n  \"external_id\": null,\n  \"industry\": \"manufacturing\",\n  \"sys_updated_on\": {\n    \"value\": \"2024-05-31 11:01:55\",\n    \"display_value\": \"2024-05-31 04:01:55\"\n  },\n  \"title\": \"Director of Building operations\",\n  \"sys_class_name\": \"Lead\",\n  \"number\": \"LEAD0000001\",\n  \"sys_id\": \"856b6a95ffde8210b85dffffffffffd7\",\n  \"business_phone\": \"+1 (555) 123-4567\",\n  \"similar_lead\": null,\n  \"sys_updated_by\": \"abel.tuter\",\n  \"mobile_phone\": null,\n  \"street\": \"789, Industrial drive\",\n  \"sys_created_on\": {\n    \"value\": \"2024-05-20 10:32:41\",\n    \"display_value\": \"2024-05-20 03:32:41\"\n  },\n  \"contact\": null,\n  \"company\": \"Lee Manufacturing Inc\",\n  \"state\": \"CA\",\n  \"first_name\": \"James\",\n  \"email\": \"james.wilson@email.com\",\n  \"consumer\": null,\n  \"sys_created_by\": \"abel.tuter\",\n  \"zip\": \"94016\",\n  \"owner\": {\n    \"sys_id\": \"60058fe943fe3110d6c6cd60afb8f203\",\n    \"name\": \"Max Blaze\"\n  },\n  \"website\": null,\n  \"lead_group\": null,\n  \"sys_mod_count\": 1,\n  \"last_name\": \"Wilson\",\n  \"other_reason\": null,\n  \"middle_name\": null,\n  \"sys_tags\": null,\n  \"do_not_share\": false,\n  \"lead_score\": 92,\n  \"stage\": \"300_nurturing\",\n  \"do_not_email\": false,\n  \"lead_type\": null,\n  \"work_notes\": [\n    {\n      \"author\": \"Abel Tuter\",\n      \"date\": \"2024-12-04 06:52:07\",\n      \"text\": \"Work notes for lead\" \n    }\n  ],\n  \"do_not_call\": false,\n  \"lead_rating\": \"400_super_hot\",\n  \"account\": null,\n  \"external_system\": null, \n  \"lead_line_items\": [\n    {\n      \"quantity\": 6,\n      \"product_offering\": {\n        \"sys_id\": \"32619d9fd0a63110f8770dbf976be1f9\",\n        \"name\": \"Safety Test Coverage\",\n        \"code\": \"SAFETSTCVG1\"\n      },\n      \"sys_mod_count\": 0,\n      \"external_id\": null,\n      \"sys_updated_on\": {\n        \"value\": \"2024-05-20 10:38:41\",\n        \"display_value\": \"2024-05-20 03:38:41\" \n      },\n      \"sys_tags\": null,\n      \"lead\": {\n        \"sys_id\": \"856b6a95ffde8210b85dffffffffffd7\",\n        \"name\": \"LEAD0000001\"\n      },\n      \"number\": \"LEADL0000003\", \n      \"sys_id\": \"013daa19ffde8210b85dffffffffff82\",\n      \"unit_of_measurement\": { \n        \"sys_id\": \"cb2795d553020110286eddeeff7b12ff\",\n        \"name\": \"Each\"\n      },\n      \"sys_updated_by\": \"abel.tuter\",\n      \"sys_created_on\": {\n        \"value\": \"2024-05-20 10:38:41\",\n        \"display_value\": \"2024-05-20 03:38:41\"\n      },\n      \"work_notes\": null,\n      \"sys_created_by\": \"abel.tuter\",\n      \"external_system\": null\n    }\n  ]\n} \n```\n\n## lead - PATCH /sn\\_lead\\_mgmt\\_core/lead/\\{sys\\_id\\}\n\nUpdates the specified lead record and its associated lead line items. You can also use this endpoint to associate new lead line items to the specified lead.\n\nThis endpoint updates information in the following tables:\n\n-   Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n-   Lead Line Item \\[sn\\_lead\\_mgmt\\_core\\_lead\\_line\\_item\\]\n\nRules for passed-in parameters:\n\n-   Invalid parameter names are ignored.\n-   Invalid values for non-mandatory choice and reference fields are ignored.\n-   If field WRITE access is denied for one or more fields, the restricted fields are ignored.\n-   You can't insert system field values using this API. Any provided values are ignored. System fields are a part of the ignored fields list, which is configurable.\n-   The values of the parameters **account**, **contact**, and **consumer** are ignored if both the **account** and **consumer** parameters are non-empty.\n-   Unless otherwise specified, the default value for all non-passed parameters is 'null'.\n\n**Note:** This endpoint only modifies the specified parameters. If a parameter that exists in the current lead or lead line item record is not specified in the call, its contents remain unchanged.\n\n### URL format\n\nVersioned URL: `/api/sn_lead_mgmt_core/{api_version}/lead/{sys_id}`\n\nDefault URL: `/api/sn_lead_mgmt_core/{api_version}/lead/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the lead record to update.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"lead-account-row\"><td>\n\naccount\n\n</td><td id=\"lead-account-entry\">\n\nDetails of the account associated with the lead.Data type: Object\n\n```\n\"account\": {\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\naccount.sys\\_id\n\n</td><td id=\"lead-account.sys_id-entry\">\n\nSys\\_id of the associated account record.\n\nData type: String\n\n Table: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nbusiness\\_phone\n\n</td><td id=\"lead-business_phone-entry\">\n\nLead's business phone number.Data type: String\n\n</td></tr><tr><td>\n\ncity\n\n</td><td id=\"lead-city-entry\">\n\nCity in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"lead-company-entry\">\n\nLead's company name.Data type: String\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td>\n\nConsumer associated with the lead.Data type: Object\n\n```\n\"consumer\": { \n  \"sys_id\": \"String\" \n} \n```\n\n</td></tr><tr><td>\n\nconsumer.sys\\_id\n\n</td><td id=\"lead-consumer.sys_id-entry\">\n\nSys\\_id of the associated consumer record.\n\nData type: String\n\n Table: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td>\n\nContact associated with the lead account.Data type: Object\n\n```\n\"contact\": { \n  \"sys_id\": \"String\" \n} \n```\n\n</td></tr><tr><td>\n\ncontact.sys\\_id\n\n</td><td id=\"lead-contact.sys_id-entry\">\n\nSys\\_id of the associated contact record.\n\nData type: String\n\n Table: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncountry\n\n</td><td id=\"lead-country-entry\">\n\nCountry in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\ndo\\_not\\_call\n\n</td><td id=\"lead-do_not_call-entry\">\n\nFlag that indicates whether the mode of communication is by phone.\n\nValid values:\n\n-   true: Can call contact.\n-   false: Don't call contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_email\n\n</td><td id=\"lead-do_not_email-entry\">\n\nFlag that indicates whether the mode of communication is by email.\n\nValid values:\n\n-   true: Can email contact.\n-   false: Don't email contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_share\n\n</td><td id=\"lead-do_not_share-entry\">\n\nFlag that indicates whether the lead details can be shared.\n\nValid values:\n\n-   true: Lead details can be shared.\n-   false: Lead details can't be shared.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nemail\n\n</td><td id=\"lead-email-entry\">\n\nLead's email address.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_id\n\n</td><td id=\"lead-external_id-entry\">\n\nID used by the system that generated the lead to identify the lead in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_system\n\n</td><td id=\"lead-external_system-entry\">\n\nName of the external system associated with the lead, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nfirst\\_name\n\n</td><td id=\"lead-first_name-entry\">\n\nFirst name of the contact associated with the lead.Data type: String\n\n</td></tr><tr><td>\n\nindustry\n\n</td><td id=\"lead-industry-entry\">\n\nIndustry to which the lead belongs.Data type: String\n\nTable: Located in the **industry** field of the Account \\[customer\\_account\\] table.\n\n</td></tr><tr><td>\n\nlast\\_name\n\n</td><td>\n\nRequired. Last name of the contact associated with the lead.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_group\n\n</td><td>\n\nGroup to which the lead belongs.\n\nData type: Object\n\n ```\n\"lead_group\": {\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_group.sys\\_id\n\n</td><td id=\"lead-lead_group.sys_id-entry\">\n\nSys\\_id of the lead group record.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items\n\n</td><td>\n\nList of lead line items to associated with the lead.Group to which the lead belongs.\n\nData type: Object\n\n```\n\"lead_line_items\": [ \n  { \n    \"external_id\": \"String\",\n    \"external_system\": \"String\",\n    \"product_offering\": {Object},\n    \"quantity\": Number, \n    \"work_notes\": [Array],\n    \"unit_of_measurement\": {Object} \n  } \n] \n```\n\nMaximum line items: 100 - any over that are ignored\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_id\n\n</td><td id=\"lead-lead_line_items.external_id-entry\">\n\nID used by the system that generated the lead line item to identify the line item in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_system\n\n</td><td id=\"lead-lead_line_items.external_system-entry\">\n\nName of the external system associated with the lead line item, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.product\\_offering\n\n</td><td>\n\nRequired. Information about the product offering associated with the lead line item.Data type: Object\n\n```\n\"product_offering\": {\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.product\\_offering.sys\\_id\n\n</td><td>\n\nRequired. Sys\\_id of the product offering record associated with the lead line item.\n\nData type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.quantity\n\n</td><td>\n\nQuantity of items the lead wants to purchase of the associated product offering.\n\nData type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement\n\n</td><td>\n\nDetails of the measuring unit of lead line item.\n\nData type: Object\n\n ```\n\"unit_of_measurement\": {\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement​.sys\\_id\n\n</td><td>\n\nSys\\_id of the record that describes the measuring unit.Data type: String\n\nTable: Unit of Measure \\[sn\\_prd\\_pm\\_uom\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.work\\_notes\n\n</td><td>\n\nList that describes the work notes created for the lead line item.\n\nData type: Array of Objects\n\n ```\n\"work_notes\": [\n    \"text\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​text\n\n</td><td id=\"lead-lead_line_items.work_notes.text-entry\">\n\nText of the note made by the author.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_rating\n\n</td><td id=\"lead-lead_rating-entry\">\n\nRating for the lead such as, 100\\_cold, 200\\_warm, 300\\_hot, or 400\\_super\\_hot.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_rating field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_score\n\n</td><td id=\"lead-lead_score-entry\">\n\nScore for the lead.Data type: Decimal\n\nRange: 1 to 100\n\n</td></tr><tr><td>\n\nlead\\_source\n\n</td><td id=\"lead-lead_source-entry\">\n\nOriginator of the lead.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_source field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_type\n\n</td><td id=\"lead-lead_type-entry\">\n\nType of lead, such as New Business or Existing Business.\n\n **Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_type field of the Leads table.\n\n Data type: String\n\n</td></tr><tr><td>\n\nmiddle\\_name\n\n</td><td id=\"lead-middle_name-entry\">\n\nMiddle name of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nmobile\\_phone\n\n</td><td id=\"lead-mobile_phone-entry\">\n\nPhone number of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nother\\_reason\n\n</td><td id=\"lead-other_reason-entry\">\n\nAdditional reason for the lead disqualification.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nowner\n\n</td><td>\n\nDetails of the person associated with the lead.\n\nData type: Object\n\n ```\n\"owner\": {\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nowner.sys\\_id\n\n</td><td id=\"lead-owner.sys_id-entry\">\n\nSys\\_id of the user record of the person that owns the lead.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nreason\n\n</td><td id=\"lead-reason-entry\">\n\nReason for the lead disqualification such as, Disqualify.Data type: String\n\nMax length: 40 characters\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td id=\"lead-short_description-entry\">\n\nShort description of the lead.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nsimilar\\_lead\n\n</td><td>\n\nDetails on any similar lead. Use this for possible lead disqualification.\n\nData type: Object\n\n ```\n\"similar_lead\": {\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsimilar\\_lead.sys\\_id\n\n</td><td id=\"lead-similar_lead.sys_id-entry\">\n\nSys\\_id of the lead record that is a possible duplicate lead.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr><tr><td>\n\nstage\n\n</td><td id=\"lead-stage-entry\">\n\nStage of the lead such as, 100\\_new.\n\n**Note:** This is a choice field. It must contain one of the choice items defined in the stage field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"lead-state-entry\">\n\nState in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nstreet\n\n</td><td id=\"lead-street-entry\">\n\nStreet on which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td id=\"lead-title-entry\">\n\nLead's title.Data type: String\n\n</td></tr><tr><td>\n\nwebsite\n\n</td><td id=\"lead-website-entry\">\n\nLead's website URL.Data type: String\n\n</td></tr><tr><td>\n\nwork\\_notes\n\n</td><td>\n\nList of work notes created for the lead.\n\nData type: Array of Objects\n\n ```\n\"work_notes\": [\n  {\n    \"text\": \"String\"\n  }\n]\n```\n\n **Note:** An array of work notes in the request is inserted as a single text. This text is generated by combining the content from all work note objects in the request, with each entry separated by a comma \\(,\\).\n\n</td></tr><tr><td>\n\nwork\\_notes.​text\n\n</td><td id=\"lead-work_notes.text-entry\">\n\nText of the note made by the author.Data type: String\n\n</td></tr><tr><td>\n\nzip\n\n</td><td id=\"lead-zip-entry\">\n\nZip code of the associated lead.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nSuccessful. Lead and lead line items records were successfully updated.\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"lead-400-status_code-entry\">\n\nError. Possible reasons: -   Invalid payload: Invalid/empty request body.\n-   Invalid payload: Invalid field value for email/phone number fields.\n-   Invalid payload: Mandatory field is absent, or its value is empty.\n-   Invalid payload: Stage is ‘400\\_closed\\_won’. Qualifying lead is not supported using the API.\n-   If the stage of the lead to be updated is already in the closed state and you are trying to update it.\n\n</td></tr><tr><td>\n\n403\n\n</td><td id=\"entry-403-status-code\">\n\nForbidden. The user doesn't have access rights to the specified record.\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"entry-404-status-code\">\n\nNot found. The requested item wasn't found.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td id=\"d3640e67\">\n\nAccount linked to the lead.Data type: Object\n\n```\n\"account\": { \n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\naccount.name\n\n</td><td id=\"lead-account.name-entry\">\n\nName of the account.Data type: String\n\n</td></tr><tr><td>\n\naccount.sys\\_id\n\n</td><td id=\"d3640e91\">\n\nSys\\_id of the associated account record.\n\nData type: String\n\n Table: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nbusiness\\_phone\n\n</td><td id=\"d3640e108\">\n\nLead's business phone number.Data type: String\n\n</td></tr><tr><td>\n\ncity\n\n</td><td id=\"d3640e119\">\n\nCity in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nclosed\\_date\n\n</td><td id=\"lead-closed_date-entry\">\n\nDate and time when the lead was closed.Data type: Object\n\n```\n\"closed_date\": {\n  \"display_value\": \"String\", \n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nclosed\\_date.​display\\_value\n\n</td><td id=\"lead-closed_date.display_value-entry\">\n\nDate and time as displayed in the UI. Data type: String\n\nFormat: User's format and time zone.\n\n</td></tr><tr><td>\n\nclosed\\_date.value\n\n</td><td id=\"lead-closed_date.value-entry\">\n\nDate and time that the lead closed as defined in the associated record.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\ncompany\n\n</td><td id=\"d3640e171\">\n\nLead's company name.Data type: String\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td id=\"lead-consumer-entry\">\n\nConsumer associated with the lead.Data type: Object\n\n```\n\"consumer\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nconsumer.name\n\n</td><td id=\"lead-consumer.name-entry\">\n\nName of the associated consumer.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.sys\\_id\n\n</td><td id=\"d3640e208\">\n\nSys\\_id of the associated consumer record.\n\nData type: String\n\n Table: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td id=\"lead-contact-entry\">\n\nContact associated with the lead account.Data type: Object\n\n```\n\"contact\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\" \n} \n```\n\n</td></tr><tr><td>\n\ncontact.name\n\n</td><td id=\"lead-contact.name-entry\">\n\nContact's name.Data type: String\n\n</td></tr><tr><td>\n\ncontact.sys\\_id\n\n</td><td id=\"d3640e250\">\n\nSys\\_id of the associated contact record.\n\nData type: String\n\n Table: Contact \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncountry\n\n</td><td id=\"d3640e267\">\n\nCountry in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\ndo\\_not\\_call\n\n</td><td id=\"d3640e278\">\n\nFlag that indicates whether the mode of communication is by phone.\n\nValid values:\n\n-   true: Can call contact.\n-   false: Don't call contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_email\n\n</td><td id=\"d3640e303\">\n\nFlag that indicates whether the mode of communication is by email.\n\nValid values:\n\n-   true: Can email contact.\n-   false: Don't email contact.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ndo\\_not\\_share\n\n</td><td id=\"d3640e327\">\n\nFlag that indicates whether the lead details can be shared.\n\nValid values:\n\n-   true: Lead details can be shared.\n-   false: Lead details can't be shared.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nemail\n\n</td><td id=\"d3640e351\">\n\nLead's email address.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_id\n\n</td><td id=\"d3640e362\">\n\nID used by the system that generated the lead to identify the lead in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_system\n\n</td><td id=\"d3640e373\">\n\nName of the external system associated with the lead, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nfirst\\_name\n\n</td><td id=\"d3640e384\">\n\nFirst name of the contact associated with the lead.Data type: String\n\n</td></tr><tr><td>\n\nindustry\n\n</td><td id=\"d3640e396\">\n\nIndustry to which the lead belongs.Data type: String\n\nTable: Located in the **industry** field of the Account \\[customer\\_account\\] table.\n\n</td></tr><tr><td>\n\nlast\\_name\n\n</td><td id=\"lead-last_name-entry\">\n\nLast name of the contact associated with the lead.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_group\n\n</td><td id=\"lead-lead_group-entry\">\n\nGroup to which the lead belongs.\n\nData type: Object\n\n ```\n\"lead_group\": {\n  \"name: \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_group.name\n\n</td><td id=\"lead-lead_group.name-entry\">\n\nLead group's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_group.sys\\_id\n\n</td><td id=\"d3640e454\">\n\nSys\\_id of the lead group record.Data type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items\n\n</td><td id=\"lead-lead_line_items-entry\">\n\nDetails of the lead line items associated with the lead.Data type: Array of Objects\n\n```\n\"lead_line_items\": [ \n  { \n    \"external_id\": \"String\", \n    \"external_system\": \"String\",\n    \"lead\": {Object},\n    \"number\": \"String\",\n    \"product_offering\": {Object},\n    \"quantity\": Number,\n    \"sys_created_by”: \"String\",\n    \"sys_created_on {Object},\n    \"sys_domain\": \"String\",\n    \"sys_domain_path\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_mod_count\": Number,\n    \"sys_tags\": [Array],\n    \"sys_updated_by: \"String\",\n    \"sys_updated_on: {Object},\n    \"unit_of_measurement\": {Object}, \n    \"work_notes\": [Array]\n  } \n] \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_id\n\n</td><td id=\"d3640e481\">\n\nID used by the system that generated the lead line item to identify the line item in the associated system.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​external\\_system\n\n</td><td id=\"d3640e492\">\n\nName of the external system associated with the lead line item, such as HubSpot or pipedrive.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead\n\n</td><td id=\"lead-lead_line_items.lead-entry\">\n\nDetails about the lead associated with the line item.Data type: Object\n\n```\n\"lead: {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead.name\n\n</td><td id=\"lead-lead_line_items.lead.name-entry\">\n\nAssociated lead's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​lead.sys\\_id\n\n</td><td id=\"lead-lead_line_items.lead.sys_id-entry\">\n\nSys\\_id of the associated lead record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​number\n\n</td><td id=\"lead-lead_line_items.number-entry\">\n\nUnique system-generated number of the lead line item record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering\n\n</td><td id=\"lead-lead_line_items.product_offering-entry\">\n\nInformation about the product offering associated with the lead line item.Data type: Object\n\n```\n\"product_offering\": {\n  \"code\": \" String\",\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.code\n\n</td><td id=\"lead-lead_line_items.product_offering.code-entry\">\n\nCode linked to the product offering. **Note:** This is a system-generated alphanumeric number based on the product name. Although system generated, you can edit the code to represent a SKU or any other industry specific product codes.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.name\n\n</td><td id=\"lead-lead_line_items.product_offering.name-entry\">\n\nProduct offering's name.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​product\\_offering.sys\\_id\n\n</td><td id=\"lead-lead_line_items.product_offering.sys_id-entry\">\n\nSys\\_id of the product offering record associated with the lead line item.\n\nData type: String\n\n Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​quantity\n\n</td><td id=\"lead-lead_line_items.quantity-entry\">\n\nQuantity of items the lead wants to purchase of the associated product offering.\n\nData type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_by\n\n</td><td id=\"lead-lead_line_items.sys_created_by-entry\">\n\nUser name of the person that created the lead line item.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on\n\n</td><td id=\"lead-lead_line_items.sys_created_on-entry\">\n\nSystem-generated date and time that the lead line item was created.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on.display\\_value\n\n</td><td id=\"lead-lead_line_items.sys_created_on.display_value-entry\">\n\nDate and time that the lead line item was created.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_created\\_on.value\n\n</td><td id=\"lead-lead_line_items.sys_created_on.value-entry\">\n\nDate and time that the lead line item was created.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_domain\n\n</td><td id=\"lead-lead_line_items.sys_domain-entry\">\n\nSys\\_id of the domain record to which the lead line item belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.sys\\_domain\\_path\n\n</td><td id=\"lead-lead_line_items.sys_domain_path-entry\">\n\nPath of the domain to which the lead line item belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_id\n\n</td><td id=\"lead-lead_line_items.sys_id-entry\">\n\nSys\\_id of the lead line item record.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_mod\\_count\n\n</td><td id=\"lead-lead_line_items.sys_mod_count-entry\">\n\nNumber of times the associated lead line item record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_tags\n\n</td><td id=\"lead-lead_line_items.sys_tags-entry\">\n\nList of system tags associated with the lead line item.Data type: Array\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_by\n\n</td><td id=\"lead-lead_line_items.sys_updated_by-entry\">\n\nUser name of the person that last updated the associated lead line item.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on\n\n</td><td id=\"lead-lead_line_items.sys_updated_on-entry\">\n\nSystem-generated date and time when the lead line item was last updated.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on.​display\\_value\n\n</td><td id=\"lead-lead_line_items.sys_updated_on.display_value-entry\">\n\nDate and time that the lead line item was last updated.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​sys\\_updated\\_on.​value\n\n</td><td id=\"lead-lead_line_items.sys_updated_on.value-entry\">\n\nDate and time that the lead line item was last updated.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement-entry\">\n\nDetails of the measuring unit of lead line item.\n\nData type: Object\n\n ```\n\"unit_of_measurement\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement.​name\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement.name-entry\">\n\nName of the measuring unit such as, each or cubic foot.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​unit\\_of\\_measurement.​sys\\_id\n\n</td><td id=\"lead-lead_line_items.unit_of_measurement.sys_id-entry\">\n\nSys\\_id of the record that describes the measuring unit.Data type: String\n\nTable: Unit of Measure \\[sn\\_prd\\_pm\\_uom\\]\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes\n\n</td><td id=\"lead-lead_line_items.work_notes-entry\">\n\nList that describes the work notes created for the lead line item.\n\nData type: Array of Objects\n\n ```\n\"work_notes\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​author\n\n</td><td id=\"lead-lead_line_items.work_notes.author-entry\">\n\nUser name of the person that authored the associated work note.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​date\n\n</td><td id=\"lead-lead_line_items.work_notes.date-entry\">\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_line\\_items.​work\\_notes.​text\n\n</td><td id=\"d3640e862\">\n\nText of the note made by the author.Data type: String\n\n</td></tr><tr><td>\n\nlead\\_rating\n\n</td><td id=\"d3640e873\">\n\nRating for the lead such as, 100\\_cold, 200\\_warm, 300\\_hot, or 400\\_super\\_hot.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_rating field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_score\n\n</td><td id=\"d3640e886\">\n\nScore for the lead.Data type: Decimal\n\nRange: 1 to 100\n\n</td></tr><tr><td>\n\nlead\\_source\n\n</td><td id=\"d3640e899\">\n\nOriginator of the lead.**Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_source field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nlead\\_type\n\n</td><td id=\"d3640e912\">\n\nType of lead, such as New Business or Existing Business.\n\n **Note:** This is a choice field. It must contain one of the choice items defined in the lead\\_type field of the Leads table.\n\n Data type: String\n\n</td></tr><tr><td>\n\nmiddle\\_name\n\n</td><td id=\"d3640e930\">\n\nMiddle name of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nmobile\\_phone\n\n</td><td id=\"d3640e942\">\n\nPhone number of the contact for the lead.Data type: String\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td id=\"lead-number-entry\">\n\nUnique system-generated number of the lead record.Data type: String\n\n</td></tr><tr><td>\n\nother\\_reason\n\n</td><td id=\"d3640e964\">\n\nAdditional reason for the lead disqualification.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nowner\n\n</td><td id=\"lead-owner-entry\">\n\nDetails of the person associated with the lead.\n\nData type: Object\n\n ```\n\"owner\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nowner.name\n\n</td><td id=\"lead-owner.name-entry\">\n\nName of the person that owns the lead.Data type: String\n\n</td></tr><tr><td>\n\nowner.sys\\_id\n\n</td><td id=\"d3640e1005\">\n\nSys\\_id of the user record of the person that owns the lead.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nreason\n\n</td><td id=\"d3640e1019\">\n\nReason for the lead disqualification such as, Disqualify.Data type: String\n\nMax length: 40 characters\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td id=\"d3640e1032\">\n\nShort description of the lead.Data type: String\n\nMax length: 160 characters\n\n</td></tr><tr><td>\n\nsimilar\\_lead\n\n</td><td id=\"lead-similar_lead-entry\">\n\nDetails on any similar lead. Use this for possible lead disqualification.\n\nData type: Object\n\n ```\n\"similar_lead\": {\n  \"name\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsimilar\\_lead.name\n\n</td><td id=\"lead-similar_lead.name-entry\">\n\nName of the duplicate lead.Data type: String\n\n</td></tr><tr><td>\n\nsimilar\\_lead.sys\\_id\n\n</td><td id=\"d3640e1073\">\n\nSys\\_id of the lead record that is a possible duplicate lead.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr><tr><td>\n\nstage\n\n</td><td id=\"d3640e1086\">\n\nStage of the lead such as, 100\\_new.\n\n**Note:** This is a choice field. It must contain one of the choice items defined in the stage field of the Leads table.\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td id=\"d3640e1103\">\n\nState in which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nstreet\n\n</td><td id=\"d3640e1114\">\n\nStreet on which the lead resides.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td id=\"lead-sys_class_name-entry\">\n\nSystem-generated class name of the Lead table.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td id=\"lead-sys_created_by-entry\">\n\nUser name of the person that created the lead.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td id=\"lead-sys_created_on-entry\">\n\nSystem-generated date and time that the lead was created.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"value\": \"String\"\n} \n```\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.​display\\_value\n\n</td><td id=\"lead-sys_created_on.display_value-entry\">\n\nDate and time when the lead was created.Data type: String\n\nFormat: Default instance format and time zone\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.​value\n\n</td><td id=\"lead-sys_created_on.value-entry\">\n\nDate and time when the lead was created.Data type: String\n\nFormat: UTC\n\n</td></tr><tr><td>\n\nsys\\_domain\n\n</td><td id=\"lead-sys_domain-entry\">\n\nSys\\_id of the domain record to which the lead belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\\_path\n\n</td><td id=\"lead-sys_domain_path-entry\">\n\nPath of the domain to which the lead belongs. **Note:** This parameter is only returned in the response if domain separation is enabled.\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"lead-sys_id-entry\">\n\nSys\\_id of the lead record.Data type: String\n\nTable: Lead \\[sn\\_lead\\_mgmt\\_core\\_lead\\]\n\n</td></tr><tr><td>\n\nsys\\_mod\\_count\n\n</td><td id=\"lead-sys_mod_count-entry\">\n\nNumber of times the associated lead record has been modified.Data type: Number \\(Integer\\)\n\n</td></tr><tr><td>\n\nsys\\_tags\n\n</td><td id=\"lead-sys_tags-entry\">\n\nList of system tags associated with the lead. You can use these tags to categorize leads.Data type: Array\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td id=\"lead-sys_updated_by-entry\">\n\nUser name of the person that last updated the lead record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><t
[...]
